/* eslint-disable prettier/prettier */
import { BeforeRequestType, ContentConfig } from "/@/components/PageContent";
import { ElTag } from "element-plus";
import apis from "./apis";
import { h } from "vue";

const statusOptions = [
  { value: 1, label: '待执行', type: "info" },
  { value: 2, label: '执行完成', type: "success" },
  { value: 3, label: '执行失败', type: 'danger' },
]

const exceTypeOptions = [
  { value: 1, label: '立即执行', type: "" },
  { value: 2, label: '延迟执行', type: "warning" },
]

const columns = [
  {
    prop: "year",
    label: "年",
    minWidth: "70px"
  },

  {
    prop: "month",
    label: "月",
    minWidth: "70px"
  },

  {
    prop: "companyName",
    label: "公司名称",
    minWidth: "135px"
  },
  {
    prop: "total_tips",
    label: "营收目标",
    width: "100px"
  },
  {
    prop: "cost_tips",
    label: "毛利目标",
    width: "100px"
  },
  {
    prop: "updatetime",
    label: "最新一次修改时间",
    minWidth: "155px"
  },
  {
    prop: "addtime",
    label: "创建时间",
    minWidth: "115px"
  },
  {
    prop: "creater",
    label: "创建人",
    minWidth: "80px"
  },
  {
    label: "操作",
    fixed: "right",
    width: 90,
    slot: "operation"
  }
];

const contentConfig: ContentConfig = {
  columns,
  showTitle: false,
  superUserNoAction: false,
  apis: {
    httpList: (parameter = {}) => {
      const { date, ...rest } = parameter as any
      console.log(date, '----')

      if (date && date.length === 7) {
        const [year, month] = date.split('-')
        rest.year = year
        rest.month = month
      }

      if (date && date.length === 4) { rest.year = date }
      return apis.list(rest)
    },
  }
};

export default contentConfig;
