import {
  httpList,
  httpDelete,
  httpStatus,
  httpUpdate
} from "/@/api/system/retryReport";

import { h } from "vue";
import dayjs from "dayjs";
import { ContentConfig } from "/@/components/PageContent";
import { ElTag } from "element-plus";

const options = [
  { value: '1', label: '已关注', type: 'success' },
  { value: '2', label: '已冻结', type: 'danger' },
  { value: '4', label: '未关注', type: 'warning' },
]

const columns = [
  {
    type: "selection",
    width: 40,
    align: "center",
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    minWidth: 60,
    align: "left",
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  {
    label: "名称",
    prop: "rep_name",
    minWidth: 150
  },
  {
    label: "起始日期",
    minWidth: 140,
    prop: "start",
  },
  {
    label: "结束日期",
    minWidth: 140,
    prop: "end",
  },
  {
    label: "操作",
    fixed: "right",
    width: 80,
    slot: "operation"
  }
];

const contentConfig: ContentConfig = {
  title: "业绩报表重试",
  columns,
  deleteProp: "payNo",
  statusRowProp: ({ companyCode: companyNo }) => ({ companyNo }),
  apis: {
    httpList,
    httpDelete,
    httpAdd: true,
    httpStatus,
    httpUpdate
  }
};

export default contentConfig;
