import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "date",
      type: "date_picker",
      trigger: "change",
      label: '竞价时间:',
      otherOptions: {
        type: "daterange",
        startPlaceholder: "开始时间",
        endPlaceholder: "结束时间",
        valueFormat: "YYYY-MM-DD",
        startProp: "start",
        endProp: "end"
      }
    },
    {
      field: "date2",
      type: "date_picker",
      trigger: "change",
      label: '回复结束时间:',
      otherOptions: {
        type: "daterange",
        startPlaceholder: "开始时间",
        endPlaceholder: "结束时间",
        valueFormat: "YYYY-MM-DD",
        startProp: "cb_start",
        endProp: "cb_end"
      }
    },
    {
      field: 'zxNo',
      type: 'input',
      placeholder: '竞价订单号',
      trigger: 'change'
    },
    {
      field: 'supplier',
      type: 'supplier-query',
      placeholder: '供应商名称',
      trigger: 'change'
    },
    {
      field: 'good_name',
      placeholder: '商品名称',
      trigger: 'change',
      type: 'input'
    },
    {
      field: 'creater',
      type: 'input',
      placeholder: '采购员',
      trigger: 'change'
    },
    {
      field: 'apply_name',
      placeholder: '业务员',
      trigger: 'change',
      type: 'input'
    },
    {
      field: "depart_id",
      type: "depart-query",
      trigger: "change"
    },
  ]
};

export default searchFormConfig;
