import { FormConfig } from "/@/components/PageSearch";

import dayjs from "dayjs";

const now = dayjs(new Date()).format("YYYY-MM");

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "year_month",
      type: "date_picker",
      defaultValue: now,
      placeholder: "明细月份",
      trigger: "change",
      otherOptions: {
        editable: false,
        clearable: false,
        type: "month",
        format: "YYYY-MM",
        valueFormat: "YYYY-MM"
      }
    },
    {
      field: "creater",
      type: "input",
      placeholder: '采购维护人',
      trigger: "change"
    }
  ]
};

export default searchFormConfig;
