/* eslint-disable prettier/prettier */
import { BeforeRequestType, ContentConfig } from "/@/components/PageContent";
import { isBeyondTime } from "/@/views/reportCollection/_utils";
import apis from "./apis";

const columns = [
  {
    prop: 'spuCode',
    label: '组合商品编码',
    minWidth: '155px'
  },
  {
    prop: 'good_name',
    label: '组合商品名称',
    minWidth: '155px'
  },
  {
    prop: 'is_stock',
    label: '组合商品类型',
    width: '100px',
    cellRenderer({ row }) {
      return row.is_stock == '0' ? '库存商品' : '非库存商品'
    }
  },

  {
    prop: 'supplierName',
    label: '组合商品供应商',
    minWidth: '155px'
  },
  {
    prop: 'companyName',
    label: '组合商品业务公司',
    minWidth: '155px'
  },
  {
    prop: 'limit_num',
    label: '组合商品起订量',
    width: '110px'
  },
  {
    prop: 'limit_price',
    label: '组合商品成本价',
    width: '120px'
  },
  {
    label: '组合商品税率',
    width: '110px',
    cellRenderer({ row }) {
      return row.good_tax + '%'
    }
  },
  {
    prop: 'childCode',
    label: '子商品成本编码',
    minWidth: '155px'
  },
  {
    prop: 'child_name',
    label: '子商品名称',
    minWidth: '155px'
  },
  {
    prop: 'child_num',
    label: '子商品比例',
    width: '100px',
  },
  {
    prop: 'child_limit_num',
    label: '子商品起订量',
    width: '100px',
  },

  {
    prop: 'child_limit_price',
    label: '子商品成本价',
    width: '100px',
  },
  {
    label: '子商品税率',
    width: '100px',
    cellRenderer({ row }) {
      return row.child_good_tax + '%'
    }
  },
  {
    prop: 'child_supplierName',
    label: '子商品供应商',
    minWidth: '155px'
  }
]


const contentConfig: ContentConfig = {
  columns,
  showTitle: false,
  responseCode: 1,
  superUserNoAction: false,
  // beforeRequestList(params) {
  //   const { start, end } = params;
  //   const beyondTime = isBeyondTime({ name: "下单时间", len: 30, start, end });
  //   if (beyondTime) return BeforeRequestType.EMPTY
  //   return BeforeRequestType.NEXT;
  // },
  apis: { httpList: apis.list }
};


export default contentConfig;
