import { FormConfig } from "/@/components/PageSearch";
import dayjs from "dayjs";

const now = new Date();
const start = dayjs(now).subtract(30, 'days').format("YYYY-MM-DD");
const end = dayjs(now).format('YYYY-MM-DD');

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "date",
      type: "date_picker",
      trigger: "change",
      defaultValue: [start, end],
      otherOptions: {
        type: "daterange",
        startPlaceholder: "下单开始时间",
        endPlaceholder: "下单结束时间",
        valueFormat: "YYYY-MM-DD",
        startProp: "start_day",
        endProp: "end_day",
        clearable: false
      }
    },
    {
      field: 'flag',
      type: 'select',
      options: [
        { value: '', label: '全部' },
        { value: '1', label: '开通账号的供应商' },
        { value: '2', label: '未开通账号的供应商' },
      ],
      trigger: 'change'
    },
    {
      field: 'supplierNo',
      placeholder: '供应商名称',
      type: 'supplier-query',
      trigger: 'change'
    }
  ]
};

export default searchFormConfig;
