import { FormConfig } from "/@/components/PageSearch";
import dayjs from "dayjs";
import { useUserStore } from "/@/store/modules/user";

const current = dayjs(new Date()).format("YYYY-MM");

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "date",
      type: "date_picker",
      trigger: "change",
      defaultValue: current,
      label: '下单月份:',
      otherOptions: {
        type: "month",
        valueFormat: "YYYY-MM",
        format: "YYYY-MM",
        clearable: false,
        // prefix: "下单月份:"
      }
    },
    {
      field: "depart_id",
      type: "depart-query",
      trigger: "change"
    }
  ]
};

export default searchFormConfig;
